Show / Hide Table of Contents

# Struct AtkComponentList

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: FFXIVClientStructs.FFXIV.Component.GUI

###### Assembly: FFXIVClientStructs.dll

##### Syntax

    public struct AtkComponentList

### Fields

| Improve this Doc View Source

#### AtkComponentBase

##### Declaration

    public AtkComponentBase AtkComponentBase

##### Field Value

Type | Description
--- | ---
AtkComponentBase |

| Improve this Doc View Source

#### AtkComponentScrollBarC8

##### Declaration

    public AtkComponentScrollBar*AtkComponentScrollBarC8

##### Field Value

Type | Description
--- | ---
AtkComponentScrollBar* |

| Improve this Doc View Source

#### FirstAtkComponentListItemRenderer

##### Declaration

    public AtkComponentListItemRenderer*FirstAtkComponentListItemRenderer

##### Field Value

Type | Description
--- | ---
AtkComponentListItemRenderer* |

| Improve this Doc View Source

#### ItemRendererList

##### Declaration

    public AtkComponentList.ListItem*ItemRendererList

##### Field Value

Type | Description
--- | ---
AtkComponentList.ListItem* |

| Improve this Doc View Source

#### ListLength

##### Declaration

    public int ListLength

##### Field Value

Type | Description
--- | ---
System.Int32 |